Skip to main content
GET
Inventory valuation snapshot

Authorizations

Authorization
string
header
required

API key issued per entity via Settings > Developers > API Keys. Each key carries scopes (e.g. orders:read, products:write). Bearer token format: Authorization: Bearer ark_live_ent_Test keys use ark_test_ent_. Both are issued per entity
via Settings > Developers > API Keys.

Path Parameters

entity_id
string<uuid>
required

Query Parameters

as_of_date
string<date>

Snapshot date. Defaults to today.

method
enum<string>

Valuation method. Defaults to fifo.

Available options:
fifo,
avg,
lot_cost
location_id
string<uuid>

Filter to one warehouse location.

Response

Inventory valuation

as_of_date
string<date>
method
enum<string>
Available options:
fifo,
avg,
lot_cost
total_value
number<double>
by_location
object[]
by_product
object[]